### Method

# Cogl DepthState set_range

#### Declaration [src]

    void
    cogl_depth_state_set_range (
      CoglDepthState* state,
      float near_val,
      float far_val
    )

#### Description [src]

Sets the range to map depth values in normalized device coordinates to before writing out to a depth buffer.

After your geometry has be transformed, clipped and had perspective division applied placing it in normalized device coordinates all depth values between the near and far z clipping planes are in the range -1 to 1. Before writing any depth value to the depth buffer though the value is mapped into the range [0, 1].

With this function you can change the range which depth values are mapped too although the range must still lye within the range [0, 1].

By default normalized device coordinate depth values are mapped to the full range of depth buffer values, [0, 1].

NB: this won’t directly affect the state of the GPU. You have to then set the state on a `CoglPipeline` using cogl_pipeline_set_depth_state().

#### Parameters

`near_val`

  Type: `float`

  The near component of the desired depth range which will be clamped to the range [0, 1].

`far_val`

  Type: `float`

  The far component of the desired depth range which will be clamped to the range [0, 1].